org.apache.jmeter.gui.util

## Class HeaderAsPropertyRendererWrapper

- java.lang.Object
- - org.apache.jmeter.gui.util.HeaderAsPropertyRendererWrapper

All Implemented Interfaces:
  TableCellRenderer

    public class HeaderAsPropertyRendererWrapper
    extends Object
    implements TableCellRenderer

Wraps `TableCellRenderer` to renders items in a JTable by using resource names and control some formatting (centering, fonts and border)

### Constructor Summary

Constructors
Constructor and Description
`HeaderAsPropertyRendererWrapper(TableCellRenderer renderer)`
`HeaderAsPropertyRendererWrapper(TableCellRenderer renderer, Object[][] columnsMsgParameters)` Deprecated. don't use `columnsMsgParameters` as they are not moved, when the corresponding columns in the tables object model are moved

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`Component` `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`
`static void` `setupDefaultRenderer(JTable table)`
`static void` `setupDefaultRenderer(JTable table, Object[][] columnsMsgParameters)` Deprecated. don't use `columnsMsgParameters` as they are not moved when the columns of the corresponding tables object model are moved

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeaderAsPropertyRendererWrapper

    @Deprecated
    public HeaderAsPropertyRendererWrapper(TableCellRenderer renderer,
                                                       Object[][] columnsMsgParameters)

Deprecated. don't use `columnsMsgParameters` as they are not moved, when the corresponding columns in the tables object model are moved

Parameters:
  `renderer` - `TableCellRenderer` to delegate to
  `columnsMsgParameters` - ignored

#### HeaderAsPropertyRendererWrapper

    public HeaderAsPropertyRendererWrapper(TableCellRenderer renderer)

### Method Detail

#### getTableCellRendererComponent

    public Component getTableCellRendererComponent(JTable table,
                                                   Object value,
                                                   boolean isSelected,
                                                   boolean hasFocus,
                                                   int row,
                                                   int column)

Specified by:
  `getTableCellRendererComponent` in interface `TableCellRenderer`

#### setupDefaultRenderer

    public static void setupDefaultRenderer(JTable table)

Parameters:
  `table` - `JTable`

#### setupDefaultRenderer

    @Deprecated
    public static void setupDefaultRenderer(JTable table,
                                                        Object[][] columnsMsgParameters)

Deprecated. don't use `columnsMsgParameters` as they are not moved when the columns of the corresponding tables object model are moved

Parameters:
  `table` - `JTable`
  `columnsMsgParameters` - ignored